MiMo Chat Completion API
curl --request POST \
--url https://api.acedata.cloud/mimo/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "mimo-v2.6-pro",
"messages": [
{
"role": "user",
"content": "Explain how a rainbow forms."
}
]
}
'import requests
url = "https://api.acedata.cloud/mimo/chat/completions"
payload = {
"model": "mimo-v2.6-pro",
"messages": [
{
"role": "user",
"content": "Explain how a rainbow forms."
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'mimo-v2.6-pro',
messages: [{role: 'user', content: 'Explain how a rainbow forms.'}]
})
};
fetch('https://api.acedata.cloud/mimo/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"object": "<string>",
"created": 1,
"model": "<string>",
"choices": [
{
"index": 1,
"message": {
"role": "assistant",
"content": "<string>",
"reasoning_content": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
]
},
"finish_reason": "<string>"
}
],
"usage": {
"prompt_tokens": 1,
"completion_tokens": 1,
"total_tokens": 1,
"prompt_tokens_details": {
"cached_tokens": 1
},
"completion_tokens_details": {
"reasoning_tokens": 1
}
}
}{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
},
"trace_id": "<string>"
}{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
},
"trace_id": "<string>"
}{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
},
"trace_id": "<string>"
}{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
},
"trace_id": "<string>"
}{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
},
"trace_id": "<string>"
}{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
},
"trace_id": "<string>"
}API Reference
MiMo Chat Completion API
MiMo 2.6 integration contract. Availability follows the service status in the console.
POST
/
mimo
/
chat
/
completions
MiMo Chat Completion API
curl --request POST \
--url https://api.acedata.cloud/mimo/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "mimo-v2.6-pro",
"messages": [
{
"role": "user",
"content": "Explain how a rainbow forms."
}
]
}
'import requests
url = "https://api.acedata.cloud/mimo/chat/completions"
payload = {
"model": "mimo-v2.6-pro",
"messages": [
{
"role": "user",
"content": "Explain how a rainbow forms."
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'mimo-v2.6-pro',
messages: [{role: 'user', content: 'Explain how a rainbow forms.'}]
})
};
fetch('https://api.acedata.cloud/mimo/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"object": "<string>",
"created": 1,
"model": "<string>",
"choices": [
{
"index": 1,
"message": {
"role": "assistant",
"content": "<string>",
"reasoning_content": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
]
},
"finish_reason": "<string>"
}
],
"usage": {
"prompt_tokens": 1,
"completion_tokens": 1,
"total_tokens": 1,
"prompt_tokens_details": {
"cached_tokens": 1
},
"completion_tokens_details": {
"reasoning_tokens": 1
}
}
}{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
},
"trace_id": "<string>"
}{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
},
"trace_id": "<string>"
}{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
},
"trace_id": "<string>"
}{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
},
"trace_id": "<string>"
}{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
},
"trace_id": "<string>"
}{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>"
},
"trace_id": "<string>"
}Autorizaciones
API token from https://platform.acedata.cloud
Cuerpo
application/json
Opciones disponibles:
mimo-v2.6-pro, mimo-v2.6-flash Minimum array length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Other values are not supported by this MiMo contract.
Opciones disponibles:
auto Maximum total reasoning and final-output tokens.
Rango requerido:
1 <= x <= 131072¿Esta página le ayudó?

